# Recorded Future Documentation > Recorded Future API documentation This file lists one part of the documentation. The full index is at https://docs.recordedfuture.com/llms.txt. ## API Documentation: Attack Surface Intelligence - Project - [List Projects](https://docs.recordedfuture.com/reference/project-list_projects.md): Retrieve the projects your user has access to. - Assets - [Search Assets](https://docs.recordedfuture.com/reference/assets-search_assets.md): Search assets in a project, with filtering, sorting and pagination. Filter with the `filter` field. Each field supports a subset of the operators `eq`, `neq`, `in`, `nin`, `start`, `end` and… - [Find Assets](https://docs.recordedfuture.com/reference/assets-find_assets.md): Find assets in a project using filters passed as query parameters. A more lightweight alternative to POST /_search for simpler queries. Some query parameters are not filters but control pagination,… - [Read Asset](https://docs.recordedfuture.com/reference/assets-read_asset.md): Retrieve a specific asset by its ID within a project. Use the `additional_fields` to specify any extra information you want returned about the asset. By default only `custom_tags` is returned;… - [List Asset Exposures](https://docs.recordedfuture.com/reference/assets-list_asset_exposures.md): Retrieve the list of exposures for an asset. Each exposure includes its `signature`, `vulnerabilities`, the `instances` with the port it was present on, and more as described by response schema. - [Get Filters](https://docs.recordedfuture.com/reference/assets-get_filters.md): Retrieve the available filters for assets in the project. The return values are unfiltered so represents a "top-level" set of filter values. A custom set of filter can be requested by passing a… - [Get Filters With Filter](https://docs.recordedfuture.com/reference/assets-get_filters_with_filter.md): Retrieve available filters for assets in project similar to `GET` endpoint. Include filter parameters in the request body to get filter values based on a filtered assets, similar to `/_search`. The… - [Apply Tag To Asset](https://docs.recordedfuture.com/reference/assets-apply_tag_to_asset.md): Apply a single user-defined tag to a specific asset. As tagging is an asynchronous operation, the API will wait up to 2 seconds for the backend to complete but if it is still not complete in that… - [Remove Tag From Asset](https://docs.recordedfuture.com/reference/assets-remove_tag_from_asset.md): Remove a specific user-defined tag from an asset. NOTE: If the tag is not on the asset, the request will be treated as successful. As tagging is an asynchronous operation, the API will wait up to 2… - [Bulk Add Remove Asset Tags](https://docs.recordedfuture.com/reference/assets-bulk_add_remove_asset_tags.md): Add and remove tags from the given asset. As tagging is an asynchronous operation, the API will wait up to 2 seconds for the backend to complete but if it is still not complete in that time, the… - Tagging - [Get Tags](https://docs.recordedfuture.com/reference/tagging-get_tags.md): Request the user-defined tags for the project. - [Get Custom Tag Task Status](https://docs.recordedfuture.com/reference/tagging-get_custom_tag_task_status.md): Get asset tagging status when it wasn't complete during first attempt NOTE: Even if the response includes `complete: true` there may still be a slight delay before requests allow for filtering or… - [Bulk Add Remove Assets](https://docs.recordedfuture.com/reference/tagging-bulk_add_remove_assets.md): Bulk tag assets within the project. This method allows you, on an asset-by-asset, basis to add and remove tags which may be applied to them. As tagging is an asynchronous operation, the API will… - [Bulk Tag Assets By Filter](https://docs.recordedfuture.com/reference/tagging-bulk_tag_assets_by_filter-1.md): Bulk tag assets in the project by filter, same filters as used in the `_search` endpoint can be used. This method allows you to add and remove tags which may be applied to assets matching the… - [Add Tag](https://docs.recordedfuture.com/reference/tagging-add_tag.md): Add a new user-defined tag to the project to be added to assets later. If the tag already exists, it will be returned without error. - Exposures - [List Exposures](https://docs.recordedfuture.com/reference/exposures-list_exposures.md): Retrieve the exposure signatures found on assets in the project, along with the count of affected assets for each signature. The list can be filtered by CVE, CVSS score, CWE or severity, or searched… - [Get Exposure Assets](https://docs.recordedfuture.com/reference/exposures-get_exposure_assets.md): Retrieve the assets for a specific `signature_id`. If `next_cursor` is present in the response, it can be used to fetch the next page of results by passing it as `cursor`. - [Get Exposure Evidence](https://docs.recordedfuture.com/reference/exposures-get_exposure_evidence-1.md): Fetch scan evidence for the given evidence identifiers. - Rules - [Get Static Assets](https://docs.recordedfuture.com/reference/rules-get_static_assets.md): Gets static assets for your project using the path parameter `project_id`. The response will include a list of static assets with their detail. The returned data can be filtered by `asset`,… - [Add Static Assets](https://docs.recordedfuture.com/reference/rules-add_static_assets.md): Allows you to perform bulk operations on static asset rules for your project. Rules can either be added or removed in bulk, with a maximum of 1000 rules per request. To update a rule, applies for… - Signatures - [List Signatures](https://docs.recordedfuture.com/reference/signatures-list_signatures-1.md): List signatures matching the given filters. Unlike `/exposures`, signatures don't need to be related to an asset in the project, and don't include affected asset information. If `next_cursor` is… - [Get Signature](https://docs.recordedfuture.com/reference/signatures-get_signature-1.md): Fetch data for a signature by its `signature_id`. The signature does not need to be related to an exposure in your project. Use `additional_fields` to specify additional enrichments to include in…